MacWrtProStructuresInternal::Font Struct Reference

Internal: the fonts. More...

## Public Member Functions

| Font ()
| the constructor

## Public Attributes

MWAWFont | m_font
| the font
int | m_flags
| some unknown flag
int | m_token
| the token type(checkme)
int | m_values [5]
| unknown values

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<<

## Detailed Description

Internal: the fonts.

## Constructor & Destructor Documentation

## Font()

MacWrtProStructuresInternal::Font::Font | ( |  | ) |

inline

the constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | font )

friend

operator<<

## Member Data Documentation

## m_flags

int MacWrtProStructuresInternal::Font::m_flags

some unknown flag

Referenced by Font(), operator<<, and MacWrtProStructures::readFont().

## m_font

MWAWFont MacWrtProStructuresInternal::Font::m_font

the font

Referenced by Font(), MacWrtProStructures::readCharStyles(), MacWrtProStructures::readFont(), MacWrtProStructures::readFontsDef(), and MacWrtProStructures::readStyle().

## m_token

int MacWrtProStructuresInternal::Font::m_token

the token type(checkme)

Referenced by Font(), operator<<, and MacWrtProStructures::readFont().

## m_values

int MacWrtProStructuresInternal::Font::m_values[5]

unknown values

Referenced by Font(), operator<<, and MacWrtProStructures::readFont().

The documentation for this struct was generated from the following file:

- MacWrtProStructures.cxx